Wrong version of fuel-library is installed by anaconda

Bug #1509313 reported by Illia Polliul on 2015-10-23
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Matthew Mosesohn
7.0.x
High
Matthew Mosesohn
8.0.x
High
Matthew Mosesohn

Bug Description

CentOS mirrors have multiple fuel-library versions, wrong version is installed sometimes.

Originally created as:

[fuel-ci] custom_iso for 7.0 builds with incorrect symlink to puppet modules

I've built custom iso for 7.0 here:
http://jenkins-product.srt.mirantis.net:8080/view/custom_iso/job/custom_7.0_iso/1263/

After deployment I found that puppet modules are not updated.
I did a brief investigation and found that this is due to incorrect symlink in /etc/puppet:

[root@nailgun ~]# ll /etc/puppet/
total 20
drwxr-xr-x. 4 root root 4096 жов 23 09:58 2014.2.2-6.1
drwxr-xr-x. 4 root root 4096 жов 23 09:55 2015.1.0-7.0
-rw-r--r--. 1 root root 4133 січ 6 2014 auth.conf
-rw-r--r--. 1 root root 0 жов 23 09:59 hiera.yaml
lrwxrwxrwx. 1 root root 34 жов 23 09:58 manifests -> /etc/puppet/2014.2.2-6.1/manifests
lrwxrwxrwx. 1 root root 32 жов 23 09:58 modules -> /etc/puppet/2014.2.2-6.1/modules
-rw-r--r--. 1 root root 853 січ 6 2014 puppet.conf

Expected behavior:
Custom ISO built with correct symlinks.

Changed in fuel:
assignee: Fuel CI team (fuel-ci) → Sergey Kulanov (skulanov)
importance: Undecided → High
status: New → In Progress
Igor Belikov (ibelikov) wrote :
Changed in fuel:
assignee: Sergey Kulanov (skulanov) → Fuel build team (fuel-build)
Sergey Kulanov (skulanov) wrote :

checking, probably duplicate for https://bugs.launchpad.net/fuel/+bug/1508579

tags: added: area-build area-make fuel-build iso non-release
Changed in fuel:
milestone: none → 7.0-updates
Changed in fuel:
assignee: Fuel build team (fuel-build) → Sergey Kulanov (skulanov)
Sergey Kulanov (skulanov) wrote :

Updating status:

1. The related bug was fixed https://bugs.launchpad.net/fuel/+bug/1508579 and we have correct fuel-library package for containers.

2. Issue reported in this patch related to custom iso build, since on the release ISO we have installed correct package and it should be updated correctly

So for now on building custom iso we have:

a) it seems fuel-library6.1 installed because of kickstart configuration:
https://github.com/openstack/fuel-main/blob/eb669555ca18b0fb372c53857f1c7b2f10e669dd/iso/ks.template#L243

b) fuel-library7.0 installed because of fuel package requires it:
https://github.com/openstack/fuel-main/blob/stable/7.0/specs/fuel-main.spec#L20

[root@nailgun ~]# rpm -qa | grep fuel-library
fuel-library6.1-6.1.0-1.mos6739.noarch
fuel-library7.0-7.0.0-7242.1.git87d3b4f.noarch

3) As the result we have the following configuration for CUSTOM_ISO
[root@nailgun ~]# ls -la /etc/puppet/
total 28
drwxr-xr-x. 4 root root 4096 Oct 27 09:30 .
drwxr-xr-x. 80 root root 4096 Oct 27 09:39 ..
drwxr-xr-x. 4 root root 4096 Oct 27 09:29 2014.2.2-6.1
drwxr-xr-x. 4 root root 4096 Oct 27 09:28 2015.1.0-7.0
-rw-r--r--. 1 root root 4133 Jan 6 2014 auth.conf
-rw-r--r--. 1 root root 0 Oct 27 09:30 hiera.yaml
lrwxrwxrwx. 1 root root 34 Oct 27 09:29 manifests -> /etc/puppet/2014.2.2-6.1/manifests
lrwxrwxrwx. 1 root root 32 Oct 27 09:29 modules -> /etc/puppet/2014.2.2-6.1/modules
-rw-r--r--. 1 root root 853 Jan 6 2014 puppet.conf

Changed in fuel:
assignee: Sergey Kulanov (skulanov) → Matthew Mosesohn (raytrac3r)
Dmitry Pyzhov (dpyzhov) on 2015-10-27
tags: removed: area-make

Reviewed: https://review.openstack.org/239641
Committed: https://git.openstack.org/cgit/openstack/fuel-main/commit/?id=29ddb1e4a71e80c9ce3e77c71d382a165baf6523
Submitter: Jenkins
Branch: master

commit 29ddb1e4a71e80c9ce3e77c71d382a165baf6523
Author: Matthew Mosesohn <email address hidden>
Date: Tue Oct 27 13:44:09 2015 +0300

    Explicitly set fuel-library version to PRODUCT_VERSION

    This works around a case where fuel-library has multiple
    versions available, but we only want to ensure that the
    version PRODUCT_VERSION is installed by anaconda.

    Change-Id: I2681123ec508d11d90264f914fa25a68b6e5e7bb
    Closes-Bug: #1509313

Changed in fuel:
status: In Progress → Fix Committed

This issue affects delivered Build environment to the customer. Tag sla2 should be applied to stable/7.0

tags: added: customer-found sla2
Damian Szeluga (dszeluga) wrote :

It's a normal method of building an ISO and this bug breaks ISOs produced in-house.

Dmitry Borodaenko (angdraug) wrote :
description: updated
summary: - [fuel-ci] custom_iso for 7.0 builds with incorrect symlink to puppet
- modules
+ Wrong version of fuel-library is installed by anaconda

Reviewed: https://review.openstack.org/239952
Committed: https://git.openstack.org/cgit/openstack/fuel-main/commit/?id=9d0faee8fdae53a58ec3729576a76024ec067c2d
Submitter: Jenkins
Branch: stable/7.0

commit 9d0faee8fdae53a58ec3729576a76024ec067c2d
Author: Matthew Mosesohn <email address hidden>
Date: Tue Oct 27 13:44:09 2015 +0300

    Explicitly set fuel-library version to PRODUCT_VERSION

    This works around a case where fuel-library has multiple
    versions available, but we only want to ensure that the
    version PRODUCT_VERSION is installed by anaconda.

    Change-Id: I2681123ec508d11d90264f914fa25a68b6e5e7bb
    Closes-Bug: #1509313
    (cherry picked from commit 29ddb1e4a71e80c9ce3e77c71d382a165baf6523)

Vladimir (vushakov) on 2015-11-23
tags: added: on-verification
Vladimir (vushakov) wrote :

Verified on Fuel 8.0

VERSION:
  feature_groups:
    - mirantis
  production: "docker"
  release: "8.0"
  openstack_version: "2015.1.0-8.0"
  api: "1.0"
  build_number: "853"
  build_id: "2015-11-30_11-46-30"
  fuel-nailgun_sha: "095f86bfe27608f32f3c312922698eaf15941db1"
  python-fuelclient_sha: "b77559b309a62650658424a43051cfeaba518748"
  fuel-agent_sha: "1672c18c8193e1b93d5687d8b720cf4f1ea07048"
  fuel-nailgun-agent_sha: "a33a58d378c117c0f509b0e7badc6f0910364154"
  astute_sha: "b60624ee2c5f1d6d805619b6c27965a973508da1"
  fuel-library_sha: "b9f8c28f0e8f7d725ed4211df418fc54a1abd728"
  fuel-ostf_sha: "a98973482f839554d90cc1c071d625a01e018cfe"
  fuel-createmirror_sha: "6ec0531c4eafc01232c6c572ee30388cb2c3d95a"
  fuelmenu_sha: "11dbfcc40346a28cf4d6ea2fcbdac048b0aed5ee"
  shotgun_sha: "25a0cc461a9fa4f7684f04cef0ff4ad9aa99a64d"
  network-checker_sha: "0b1b94a9685c6471d6911dff7ecac10b7bd2625f"
  fuel-upgrade_sha: "1e894e26d4e1423a9b0d66abd6a79505f4175ff6"
  fuelmain_sha: "2eca6adc33f02e02cd812e1d4be7c70e05fd07db"

tags: removed: on-verification
Vadim Rovachev (vrovachev) wrote :

Verified on 7.0 release.

Packages:
fuel-library7.0.noarch
Version:
7.0.0-7233.1.git5d50055

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers